Bug 1359761

Summary: GNS3
Product: [Fedora] Fedora Reporter: Jan Kurik <jkurik>
Component: Changes TrackingAssignee: Othman Madjoudj <athmanem>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: alekcejk, athmanem, jalalsfs
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: SelfContainedChange
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-11-14 21:32:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1353000, 1353001    
Bug Blocks:    

Description Jan Kurik 2016-07-25 12:18:47 UTC
This is a tracking bug for Change: GNS3
For more details, see: https://fedoraproject.org//wiki/Changes/GNS3

Graphical Network Simulator 3

Comment 1 Jan Kurik 2016-07-26 04:05:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 2 Jan Kurik 2016-07-26 05:22:49 UTC
On 2016-July-26, we have reached Fedora 25 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-July-29 meeting.

Comment 3 Othman Madjoudj 2016-07-26 18:52:51 UTC
Still waiting for pkg review.

Adding reviews bz# as dependencies of this bug.

Comment 4 Jan Kurik 2016-08-01 20:09:00 UTC
Based on the FESCo decision moving this Change to F26: https://fedorahosted.org/fesco/ticket/1606#comment:3

Comment 5 Othman Madjoudj 2016-08-05 23:09:20 UTC
Thanks to Zbigniew reviews, the packages related to this feature have been imported/built in rawhide/f25 and f24.

Comment 6 Othman Madjoudj 2016-08-05 23:16:09 UTC
f24 update: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b0b7e1057b

Comment 7 nucleo 2016-08-09 21:01:50 UTC
This tool also can be set up for using with GNS3 https://github.com/GNS3/vpcs

Comment 8 Othman Madjoudj 2016-08-09 21:16:34 UTC
I've planned to package vpc and other stuff, will let you know soon.

Comment 9 Othman Madjoudj 2016-09-10 20:29:23 UTC
@nucleo: vpcs and dynamips have submitted for review, meanwhile you can use athmane/gns3-extra copr repo.

Comment 10 Fedora End Of Life 2017-02-28 10:00:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 11 Jalal Ahmed 2017-11-14 15:14:46 UTC
In Fedora 27, after the installation of gns3-gui and gns3-server, when I try to run it, it says "Could not connect to 127.0.0.1 on port 3080: [Errno 111] Connection refused" and in terminal "pkg_resources.DistributionNotFound: The 'aiohttp<2.3.0,>=2.2.0' distribution was not found and is required by gns3-server" 
The issue is the package aiohttp is not there for 27, so the system couldn't find it.
Thanks Athmane Madjoudj

Comment 12 Othman Madjoudj 2017-11-14 21:32:56 UTC
@Jalal: please downgrade aiohttp there's a know issue with GNS3, I reported it but  the package was pushed [1]

[1] https://bodhi.fedoraproject.org/updates/FEDORA-2017-9f5ed90143

Closing this bug report since it was for tracking GNS3 packaging. For new issue please open a different ticket